<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<header>
		<h1>HTML Tables and Forms</h1>
	</header>
		

<main>

	<section>
				<!-- Start of table -->
				<h2>HTML Entities</h2>
				<p><em>Reserved character in HTML (e.g &lt; or &gt; characters that can mix up with HTML)</em></p>

				<!-- table tag defines an HTML table -->
				<table border="1">
				<!-- thead used to group table header content -->
			<thead>
				<!-- tr defines a table row -->
				<tr>
				<!-- th defines a table header element -->
				<!-- colspan attribute- it changes the amount of columns a table element wil occupy 

					** rowspan amount of rows a table element will occupy-->
					<th colspan="2">Entity</th>
					<th>Description</th>
				</tr>
			</thead>
				<!-- tbody used to group table body content -->
				<tbody>
			    <tr>
						<!-- td table data element -->
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
				</tr>

			    <tr>
						<!-- td defines table data element -->
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
				</tr>

			    <tr>
						<!-- td table data element -->
						<td>&#8369;</td>
						<td>#8369</td>
						<td>peso sign</td>
				</tr>

			    <tr>
						<!-- td table data element -->
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
				</tr>

				<tr>
						<!-- td table data element -->
						<td>&quot;</td>
						<td>quot</td>
						<td>double qoutation mark</td>
				</tr>

				<tr>
						<!-- td table data element -->
						<td>&apos;</td>
						<td>apos</td>
						<td>single qoutation mark (apostrophe)</td>
				</tr>

				<tr>
						<!-- td table data element -->
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>Lower Tilde</td>
				</tr>

				<tr>
						<!-- td table data element -->
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>Upper Tilde</td>
				</tr>
			
				</tbody>	
			</table>

						<!-- End of table -->
	</section>

		<section>
						<!-- Start of form -->

						<h2>HTML Forms</h2>
						<p><em>Input elements that make up a form</em></p>

						<!--  creates an HTML form to capture user input -->
	
					<form action="https://google.com">

					<!--  label tag serve as the label of input field -->
					<label for="full name">Full Name:</label> <br>
					<!-- type value define what information of our form -->
					<!-- name value to know the information associated with the full name -->
					<!--  required attribute need to complte the details -->
					<!-- autocomplete attribute provide information  -->
					<input type="text" name="full name" id="full name" required autocomplete=""><br> <br>

					<label for="birth_date">Birth Date:</label>
					<input type="date" name="birth_date" id="birth_date" required> <br>

					<label for="age">Age:</label>
					<input type="number" name="age" id="age" min="1" required> <br>

					<label for="gender">Gender:</label> <br>
					<!--  creates a dropdown menu -->
					<select name="gender" id="gender">
					<option value="male">Male</option>
					<option value="female">Female</option>
			
					</select><br> <br>

					<label>Notes:</label>
					<!-- textarea- pagmdami iinput si user like comment or notes -->
					<!-- rows- total no. of rows -->
					<textarea name="notes" rows="5" id="notes"></textarea><br>

					<!-- Radio Buttons only one to select -->
					<label>New User:</label> <br>
					<input type="radio" name="new user" id="user-type1" value="yes">
					<label for="user-type1">Yes</label><br>

					<input type="radio" name="new user" id="user-type1" value="no">
					<label for="user-type2">No</label><br>

					<!-- Checkbox buttons multiple to select -->
					<label>Role:</label> <br>
					<input type="checkbox" name="role1" value="developer">
					<label for="role1">Developer</label><br>

					<input type="checkbox" name="role2" value="student">
					<label for="role2">Student</label><br>

					<input type="checkbox" name="role3" value="manager">
					<label for="role3">Manager</label><br>


					<button type="submit">Submit</button>
					<!-- reset value - it can clear the content inside the fill out form  -->
					<button type="reset">Reset</button>


		
					</form>
					<!-- End of form -->

		</section>
</main>
	
</body>
</html>